|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Files | Data Structures | Functions | Variables
CLC Driver
MPLABX MCC Melody Code Generator

Configurable Logic Cell driver allows the user to specify combinations of signals as inputs to a logic function and to use the logic output to control other peripherals or I/O pins using dsPIC MCUs. More...

Collaboration diagram for CLC Driver:

## Files
file | clc1.h
| This is the generated driver header file for the CLC1 driver.
file | clc1.c
| This is the generated driver source file for CLC1 driver.

## Data Structures
struct | CLC_INTERFACE
| Structure containing the function pointers of CLC driver. More...

## Functions
void | CLC1_Initialize (void)
| Initializes the CLC1 module.
void | CLC1_Deinitialize (void)
| Deinitializes the CLC1 to POR values.
bool | CLC1_OutputStatusGet (void)
| Returns output pin status of the CLC1 module.
static void | CLC1_Enable (void)
| This inline function enables the CLC1 module.
static void | CLC1_Disable (void)
| This inline function disables the CLC1 module.
void | CLC1_PositiveEdgeCallbackRegister (void(*handler)(void))
| This function can be used to override default callback and to define custom callback for CLC1 PositiveEdge event.
void | CLC1_PositiveEdgeCallback (void)
| This is the default callback with weak attribute. The user can override and implement the default callback without weak attribute or can register a custom callback function using CLC1_PositiveEdgeCallbackRegister.
void | CLC1_NegativeEdgeCallbackRegister (void(*handler)(void))
| This function can be used to override default callback and to define custom callback for CLC1 NegativeEdge event.
void | CLC1_NegativeEdgeCallback (void)
| This is the default callback with weak attribute. The user can override and implement the default callback without weak attribute or can register a custom callback function using CLC1_NegativeEdgeCallbackRegister.
void | CLC1_Tasks (void)
| Implements the tasks for polled implementations where the hardware supports dedicated event for Positive edge, Negative edge or both. Note: If both Positive Edge and Negative Edge uses polling mode then Callback function of positive edge takes the priority if both event occurred.

## Variables
const struct CLC_INTERFACE | CLC1
| Structure object of type CLC_INTERFACE with the custom name given by the user in the Melody Driver User interface. The default name e.g. CLC1 can be changed by the user in the CLC user interface. This allows defining a structure with application specific name using the 'Custom Name' field. Application specific name allows the API Portability.

## Detailed Description

## Function Documentation

## ◆ CLC1_Deinitialize()

void CLC1_Deinitialize | ( | void |  | ) |

Parameters

  none |

Returns
  none

Definition at line 85 of file clc1.c.

Here is the call graph for this function:

## ◆ CLC1_Disable()

static void CLC1_Disable | ( | void |  | ) |
| inlinestatic

Precondition
  CLC1_Initialize function should be called before calling this function.

Parameters

  none |

Returns
  none

Definition at line 110 of file clc1.h.

Here is the caller graph for this function:

## ◆ CLC1_Enable()

static void CLC1_Enable | ( | void |  | ) |
| inlinestatic

Precondition
  CLC1_Initialize function should be called before calling this function.

Parameters

  none |

Returns
  none

Definition at line 97 of file clc1.h.

Here is the caller graph for this function:

## ◆ CLC1_Initialize()

void CLC1_Initialize | ( | void |  | ) |

Parameters

  none |

Returns
  none

Definition at line 63 of file clc1.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ CLC1_NegativeEdgeCallback()

void CLC1_NegativeEdgeCallback | ( | void |  | ) |

Parameters

  none |

Returns
  none

Here is the caller graph for this function:

## ◆ CLC1_NegativeEdgeCallbackRegister()

void CLC1_NegativeEdgeCallbackRegister | ( | void(*)(void) | handler | ) |

Parameters

  [in] | handler | - Address of the callback function.

Returns
  none

Definition at line 109 of file clc1.c.

Here is the caller graph for this function:

## ◆ CLC1_OutputStatusGet()

bool CLC1_OutputStatusGet | ( | void |  | ) |

Precondition
  CLC1_Initialize function should be called before calling this function.

Parameters

  none |

Returns
  Output pin status

Definition at line 148 of file clc1.c.

## ◆ CLC1_PositiveEdgeCallback()

void CLC1_PositiveEdgeCallback | ( | void |  | ) |

Parameters

  none |

Returns
  none

Here is the caller graph for this function:

## ◆ CLC1_PositiveEdgeCallbackRegister()

void CLC1_PositiveEdgeCallbackRegister | ( | void(*)(void) | handler | ) |

Parameters

  [in] | handler | - Address of the callback function.

Returns
  none

Definition at line 96 of file clc1.c.

Here is the caller graph for this function:

## ◆ CLC1_Tasks()

void CLC1_Tasks | ( | void |  | ) |

Precondition
  CLC1_Initialize function should be called before calling this function.

Parameters

  none |

Returns
  none

Definition at line 124 of file clc1.c.

## Variable Documentation

## ◆ CLC1

const struct CLC_INTERFACE CLC1
| extern

Definition at line 51 of file clc1.c.